#*************************** bolero menu add-on ********************************

#rep;acement for Inner class to prohibit creation of inner classes in Bolero
menu.item.element.Class.New.item.Inner Class = createNodeByPattern("DefaultFor:InnerClass")

menu.item.element.ClassDiagram.New.item.Bolero Class = createNodeByPattern("DefaultFor:BoleroClass")
#menu.item.element.ClassDiagram.New.item.Bolero Class Adapter = createNodeByPattern("DefaultFor:BoleroClassAdapter")
menu.item.element.ClassDiagram.New.item.Bolero Interface = createNodeByPattern("DefaultFor:BoleroInterface")
#menu.item.element.ClassDiagram.New.item.Bolero Interface Adapter = createNodeByPattern("DefaultFor:BoleroInterfaceAdapter")

menu.item.element.Class.New.item.Bolero Constructor = createMemberByPattern("DefaultFor:BoleroConstructor")
menu.item.element.Class.New.item.Bolero Field = createMemberByPattern("DefaultFor:BoleroField")
menu.item.element.Class.New.item.Bolero Method = createMemberByPattern("DefaultFor:BoleroMethod")

menu.item.element.Class.New.item.Property.condition = !hasProperty ("Bolero")
